commit 34f3f72b88c0a0a10d618e9dfbc88474ae5ce880
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 4 15:36:44 2022 -0800

    libXScrnSaver 1.2.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9dc9fb1bb8ca8e304a191430278703b7bc092eb2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 20 12:17:00 2022 -0800

    Handle implicit conversion warnings from clang
    
    Clears 16 -Wimplicit-int-conversion, 11 -Wshorten-64-to-32, and
    8 -Wsign-conversion warnings.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d32243b670b472fc08f577957d1a3fd9bab6430d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 20 12:12:35 2022 -0800

    Add .git-blame-ignore-revs to hide whitespace commits from git blame
    
    To use this in your local repo clone, you will need to either run
    `git blame --ignore-revs-file .git-blame-ignore-revs`
    or set it permanently with
    `git config blame.ignoreRevsFile .git-blame-ignore-revs`
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 73a14e8562d6d133982d89bf07ea89bf546d98e5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 20 12:08:45 2022 -0800

    Whitespace fixes
    
    Remove leading spaces before tabs and trailing whitespace, and
    fix a couple of incorrect indentations.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d39f92be6b513c28546ebb0baf335f32ab154a89
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 18:00:50 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e96d5feebdfaeb72b098402e6682ed3a6e6e628
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 17:59:57 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eecc14f810ec2b0324b7b9f549aeb2c4663ecd52
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 17:59:12 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aa9fd5061d0a8832480ad0c1acc9d2e864e807f4
Author: Samanta Navarro <ferivoz@riseup.net>
Date:   Sat Oct 3 11:51:02 2020 +0000

    Fix typo in manual page

commit bc819c99a1eee22194b561bcfe267c31071152ae
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:50:34 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dfc721414e0ee35fa1b465d8c333831b73171ba4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 21:28:50 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 96fffcd9dcaf2ba37ec56aa798677de9ad58ae81
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 5 12:29:44 2018 -0400

    libXScrnSaver 1.2.3
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit a16cf8e5018ca78d1b6d282fb1574adec69d2d84
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit a8f59be6586877cae0a763145ca47bac3a0ea4ec
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 57ca1c84080b778de2be267c2547b40ceeb09c99
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 886f8ef984aa29bdc3a0de329af363bb3c8d1a33
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 53256679068b9e32a76d7840652ae26ec3300704
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 74406e5ea3378a9b633ad0776a4bb34347cf1911
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 7 19:45:45 2013 -0800

    Copy root field from wire event into root, not window, of Xlib event
    
    Fixes cppcheck warning:
    [src/XScrnSaver.c:104] -> [src/XScrnSaver.c:105]: (performance, inconclusive)
     Variable 'window' is reassigned a value before the old one has been
     used if variable is no semaphore variable.
    
    Error seems to date back to revision 1.1 in X Consortium RCS,
    dated 1992-02-13, by "keith"
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f388a2ff259ee1c1c6058762e900bb29550e8246
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Fri Feb 8 01:36:53 2013 -0800

    Fix typo in man page: XScreenSaverSaverRegister()
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 0ec072963f5964e09fbf84f4cd7d7ff8a9f3291f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 21:05:41 2012 -0800

    libXScrnSaver 1.2.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7d4e80e24773cd961d3c5d04031873017a1551a2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 10 21:41:58 2011 -0800

    Fix gcc -Wwrite-strings warning
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1cd2ab96550b6b7d3abf92f76fe112798af727a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:52:51 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cfd6e22a3722514beefb39c73970715e2037b3ea
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:40 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit 49b025eff5d5d343ae11c6bfea7731ca8bcbe332
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ca2fc82f17a2bbe104b44ac33298377db0299c43
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:15 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit aa25c745b032608c9cdc8006ed351d8ef435bf18
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 22:20:54 2010 -0700

    libXScrnSaver 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f8b5e67d5b9fe5f6d8ff75561d66ac6a4bc16df2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 22:18:40 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3ef4f63bf542411aa01e62ef5e8c8120afe255be
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:30:02 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 25c4abc730f7d2407c33fcd5c48a6a82c541c921
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 17 09:00:28 2010 -0400

    man: store shadow man pages in git rather than generating them
    
    Simplify the build process and the makefile.
    
    Local fix in CVS for bug 5628 is not required
    as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1fb51a78ae5a063aa384b0b6b6fb7b11e972fcfa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 8 15:04:20 2010 -0700

    Use make rules instead of shell for loops to generate shadow man pages
    
    Allows parallel make and simpler build logs/error reporting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2f5b75f49528c4bf57100b5d8fb83788013f7da9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 8 15:01:36 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d1a4b97476efc64d9c47202b877c72c8b0fed14d
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:04:31 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bd46f8e115caeb4f48af64fc235d2b317f01b41f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:33 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d665b35a9b33b7b0a80b557115240ff5514bd8cf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 00e9520738c8660451cdf21e5a3b530924855822
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 16 10:37:21 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0b90e128718f269be334b9e60aa5b50604b1dc8c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 21:09:04 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 2f58888d29d779cb84072d1895934dfcee683f4c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:03 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 27972a511fb73bad74dd0309487af050a6a99c42
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit fe1b6951a8e6ac4006b4f488121746cf71e4771d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:26 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 7c8ac21a9485beab00560764d16e41a4c26cfc02
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:42 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit b0b29818e4893fcf97a67fab58640740f285ad25
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit b27442666e132a521c5ce8c2aaa8de97abfa54b1
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:23 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit aa162e709338904604b3f945999956044bcbc7cb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 25 18:47:04 2009 +1000

    Bump to 1.2.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1fd39b3fa18a3a315bf339f56a5fd9fb7a279f60
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 25 18:48:26 2009 +1000

    Require scrnsaverproto 1.2 to avoid header file conflicts.
    
    scrnsaverproto <= 1.1 provided screensaver.h.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fb54ab90058f187f32c0679da35684accf8043c7
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Aug 20 23:31:47 2009 +0200

    Fix man vs header mismatch
    
    the manpage says the last member of XScreenSaverInfo is called
    event_mask when in fact it is called eventMask in the header file.
    
    Debian bug#542698 <http://bugs.debian.org/542698>

commit 486af8df83765525d8c77bfa42b56fb193950c8a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:31 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ed5bba86f67fdadeeaff584818d10864f3609e1a
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Jan 30 17:18:09 2009 -0200

    Janitor: make distcheck, compiler warnings.

commit f755643f48e780c6582132269ca8d5fb750c53bf
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 22:53:40 2008 +0930

    Change AM_CFLAGS to pull in new header.

commit 85762a27e0203aa380c4ed26dc08c7f1181d5210
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 20:11:56 2008 +0930

    Add screensaver.h to includedir.
    
    This header is a pure Xlib header and was moved here from the protocol module.
    The history of the file can be found in the protocol module.
    git://anongit.freedesktop.org/git/xorg/proto/scrnsaverproto

commit ff9c27b08754c160256fe4d75cc4fbe07083f9d4
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 18:49:26 2008 +0930

    Rename parameters to clarify QueryVersion/QueryExtension.
    
    These parameters are not treated as input. Rename them to make the
    inner workings slightly more obvious.
    
    X.Org Bug 14511 <http://bugs.freedesktop.org/show_bug.cgi?id=14511>

commit e3af1209b9c1fdb032d01e00b300d57278b81189
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Mar 17 18:28:14 2008 -0700

    Version bump: 1.1.3

commit a9208d44e5123c2f688097c2833abba7e6bcfc71
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Mar 4 18:51:25 2008 -0300

    libXScrnSaver ansification.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b805b9ebb2f981a507d16fc5524f573b8187e5f1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Mar 17 18:05:32 2008 -0700

    Add hooks to check code with sparse/lint/etc.

commit ae5c253a13cbb408cb41e173bffb993ec6aa6310
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 00:21:17 2008 +0100

    Makefile.am: nuke RCS Id

commit f641875615739ae6431e59b4fc47bb52fdce6381
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:14 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit ec5ca1927558d686c4957f2ae8c8c50c722cd87b
Author: Daniel Drake <ddrake@brontes3d.com>
Date:   Tue May 29 10:07:00 2007 -0800

    Bug #11084: libXScrnSaver COPYING file
    
    X.Org Bugzilla #11084 <https://bugs.freedesktop.org/show_bug.cgi?id=11084>

commit 8eced0dc1e259777bcda00539c0c59a57fa4a49d
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:53:34 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 36205d276fd8f783898abae4c32f72ab4eaab3c4
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:35:45 2006 +0200

    bump to 1.1.2

commit 116299e6274c0c1bdd20b517fcc59ad95c438025
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 18:56:33 2006 +0200

    Makefile.am: make ChangeLog hook safer
    Make ChangeLog hook as safe as possible.

commit 39fd9561a1cf899e933859279a2220b11e729548
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 16:29:20 2006 -0400

    Bump to 1.1.1

commit 3705540d62bab68c5d41b73b59e2a7a23b001118
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Thu Oct 12 20:25:51 2006 -0400

    Fix the ChangeLog hook to distcheck.

commit be1d6f234b8366be9cc81bbc6e1774243102cb6d
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jul 29 21:30:25 2006 +0200

    Remove ChangeLog. Add a rule in Makefile.am to generate it using git-log.

commit 27ce5ef4924cd162f9313d2c444d2830dc71e9ae
Author: Federico G. Schwindt <fgsch@openbsd.org>
Date:   Sat Jul 29 21:24:50 2006 +0200

    correct header path.

commit 5cbdc1b7dc3dedf341afdf6c7df741c015ceb6fa
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:47 2006 -0700

    renamed: .cvsignore -> .gitignore

commit a183fb1a70d48155b67d98fb4e4aaca825842f12
Author: Fredrik Höglund  <fredrik@kde.org>
Date:   Fri Mar 31 18:43:09 2006 +0000

    Update the package version number to 1.1. Require scrnsaverproto >= 1.1.
    Update the manpage to document the new XScreenSaverSuspend function.
    Add the implementation of XScreenSaverSuspend.

commit 8bc4acacd1079637be310b71fb5b74a5b0717cc2
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Feb 12 18:19:21 2006 +0000

    Bug #5628 <https://bugs.freedesktop.org/show_bug.cgi?id=5628> Shadow pages
        not created correctly when MANDIR & MANSUFFIX don't match.

commit 10b822d58304884aad0f9b321b7e97f354bb0601
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:05 2005 +0000

    Update package version for X11R7 release.

commit e81e373c1263fb6934253661aaa4631456ca2766
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:28:26 2005 +0000

    Stub COPYING files

commit d939ce79b74a502e2c66a9049f8c9daf4c47bbf6
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:28 2005 +0000

    Update package version number for final X11R7 release candidate.

commit a7fe9e9fa7e2d358788758fe1031595d322d874f
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:42 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 0e2a03621d3779ebc922b3629b4239bc311e690c
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:42 2005 +0000

    Update package version number for X11R7 RC3 release.

commit c7e4c70be3431073765fad255d81f02e390a92d0
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 04:41:48 2005 +0000

    Add check and cflags for malloc(0) returning NULL.

commit 754c50dc72c217f8cd4a9da36f42dd2e55407733
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:03:05 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit d0b21d4a6ad67657b8a24f2bfaf4eaaddcf9f757
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 23:17:40 2005 +0000

    Add/improve libs .cvsignores.

commit b58dced9ca72778438a1a57a314d18450891b7a5
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:40 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 73316750771ef55c3d9723be3c321221a482f584
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:09 2005 +0000

    Update package version number for RC1 release.

commit abb8966bbb2b78d16032bff72d5e2c53bbaaeca4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:00:08 2005 +0000

    Use @LIB_MAN_SUFFIX@ instead of $(LIB_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit e5b2cfc00086fbc28cbcff0c25a5f6cc648974b2
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 21:13:15 2005 +0000

    Rename .shadows.DONE to shadows.DONE to avoid some make's thinking it's a
        suffix rule (reported by Matthieu Herrb)

commit a90094021482a3e4093a4adc9a013c4084bd8712
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 04:25:46 2005 +0000

    Add generated man pages to .cvsignores

commit 572497b3413a67795306fc0df9554c4cb6c974fb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 02:13:37 2005 +0000

    [lib/XScrnSaver manpage cleanup]
    Use sed to fill in variables in man page Add shadow man pages for man pages
        that document multiple functions.

commit 3aa74d1b757936676dbd8bd640b51d72d5c28da1
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Aug 28 19:59:15 2005 +0000

    Bug #4149: Keep the soname as libXss and the version at 1.0.0, for monolith
        compatibility. Bump to 0.99.1. (Christophe Saout)

commit d0080f2f901247d12b78f90c747d543a1c96c8ab
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Aug 3 03:28:00 2005 +0000

    Do PKG_CHECK_MODULES on a unique token instead of on "DEP", so builds with
        a global configure cache don't get confused.

commit 2581b891b58754e29a2af759c3ca277bf5a06d97
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:50 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit f00570af369d1a516062fec225095cc94e6fab53
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:04:32 2005 +0000

    Add .cvsignore files

commit 3817722549db9a2377f034b0af5768f8c36bbf62
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Wed Jun 22 22:46:39 2005 +0000

    Apply these patches from Theo van Klaveren:
    lib-dmx.patch lib-FS.patch lib-X11.patch lib-XRes.patch
        lib-XScrnSaver.patch lib-xtrans.patch
    to make the libraries distcheck.

commit 1d4fab032a4b9924adbc6853798e98b4101c96d8
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Tue Jun 21 15:41:36 2005 +0000

    lib/XScrnSaver/configure.ac
    lib/XScrnSaver/src/Makefile.am
    lib/Xfontcache/configure.ac
    lib/Xfontcache/src/Makefile.am
    lib/Xinerama/configure.ac
    lib/Xinerama/src/Makefile.am
    lib/Xtst/configure.ac
    lib/Xv/configure.ac
    lib/XvMC/configure.ac
    lib/dmx/configure.ac Add missing xext.pc and xextproto.pc Add DEP_CFLAGS to
        src/Makefile.am

commit 21286ccdf3418566b424a9f086289994ac0877f1
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Fri Jun 10 19:57:07 2005 +0000

    Build system for XScrnSaver

commit c3a1a641b1a003ac7b4558b7897e77f0d0f0fdfa
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:51 2004 +0000

    Merging XORG-CURRENT into trunk

commit 903b9ea09dadfd395120db1e844ce0fe374dfcef
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:32:25 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit d5b14ebddf3dd3ca09a98f9c185fcb76822d3644
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:30 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit fa532ec60428670bbcb68c9a5caee8c85da97e8b
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:33 2004 +0000

    readding XFree86's cvs IDs

commit a1af44719975f0c2e00b0d4b74a19ac308ae9832
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:44 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit b518e5d7bd7970dc558b3218b5f5ff13cd4f5bca
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Thu Dec 4 22:02:57 2003 +0000

    XFree86 4.3.99.901 (RC 1)

commit b48caae437787a65e83c1b1f914ae0871bdc19f8
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:15 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 444958cdf3fae56c7a82fa9086db33c095db511f
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:15 2003 +0000

    Initial revision

commit 1c910af9cb665120abbbf03b3c351853715a34f8
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:49 2003 +0000

    XFree86 4.3.0.1

commit 4a9983332a9f46ae835c1fbcb14b88ad24dc56f7
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:49 2003 +0000

    Initial revision
